- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v3/approvals/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v3/approvals/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v3/approvals/get#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v3/approvals/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v3/approvals/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v3/approvals/get#try-it)

Gets an approval by ID. For more information, see [Manage approvals](https://developers.google.com/workspace/drive/api/guides/approvals).

### HTTP request

`GET https://www.googleapis.com/drive/v3/files/{fileId}/approvals/{approvalId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` Required. The ID of the file that the approval is on. |
| `approvalId` | `string` Required. The ID of the approval. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v3/approvals#Approval`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.metadata`
- `
  https://www.googleapis.com/auth/drive.metadata.readonly`
- `
  https://www.googleapis.com/auth/drive.readonly`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).